package org.black_ixx.bossshop.misc;

import java.util.List;

import org.black_ixx.bossshop.BossShop;
import org.bukkit.OfflinePlayer;
import net.milkbowl.vault.economy.Economy;
import net.milkbowl.vault.economy.EconomyResponse;

public class NoEconomy implements Economy{

    private BossShop mPlugin;
    
    public NoEconomy(BossShop pPlugin){
        this.mPlugin=pPlugin;
    }
    
    @Override
    public EconomyResponse bankBalance(String arg0){
        this.mPlugin.warn("No Economy Plugin found!");
        return null;
    }

    @Override
    public EconomyResponse bankDeposit(String arg0,double arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse bankHas(String arg0,double arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse bankWithdraw(String arg0,double arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse createBank(String arg0,String arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public boolean createPlayerAccount(String arg0){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public boolean createPlayerAccount(String arg0,String arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public String currencyNamePlural(){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public String currencyNameSingular(){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse deleteBank(String arg0){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse depositPlayer(String arg0,double arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse depositPlayer(String arg0,String arg1,double arg2){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public String format(double arg0){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public int fractionalDigits(){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return 0;
    }

    @Override
    public double getBalance(String arg0){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return 0;
    }

    @Override
    public double getBalance(String arg0,String arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return 0;
    }

    @Override
    public List<String> getBanks(){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public String getName(){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public boolean has(String arg0,double arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public boolean has(String arg0,String arg1,double arg2){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public boolean hasAccount(String arg0){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public boolean hasAccount(String arg0,String arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public boolean hasBankSupport(){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public EconomyResponse isBankMember(String arg0,String arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse isBankOwner(String arg0,String arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public boolean isEnabled(){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return false;
    }

    @Override
    public EconomyResponse withdrawPlayer(String arg0,double arg1){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse withdrawPlayer(String arg0,String arg1,double arg2){
        this.mPlugin.warn("No Economy Plugin was found... You need one if you want to work with Money! Get it there: http://plugins.bukkit.org/.");
        return null;
    }

    @Override
    public EconomyResponse createBank(String arg0,OfflinePlayer arg1){
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public boolean createPlayerAccount(OfflinePlayer arg0){
        // TODO Auto-generated method stub
        return false;
    }

    @Override
    public boolean createPlayerAccount(OfflinePlayer arg0,String arg1){
        // TODO Auto-generated method stub
        return false;
    }

    @Override
    public EconomyResponse depositPlayer(OfflinePlayer arg0,double arg1){
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public EconomyResponse depositPlayer(OfflinePlayer arg0,String arg1,double arg2){
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public double getBalance(OfflinePlayer arg0){
        // TODO Auto-generated method stub
        return 0;
    }

    @Override
    public double getBalance(OfflinePlayer arg0,String arg1){
        // TODO Auto-generated method stub
        return 0;
    }

    @Override
    public boolean has(OfflinePlayer arg0,double arg1){
        // TODO Auto-generated method stub
        return false;
    }

    @Override
    public boolean has(OfflinePlayer arg0,String arg1,double arg2){
        // TODO Auto-generated method stub
        return false;
    }

    @Override
    public boolean hasAccount(OfflinePlayer arg0){
        // TODO Auto-generated method stub
        return false;
    }

    @Override
    public boolean hasAccount(OfflinePlayer arg0,String arg1){
        // TODO Auto-generated method stub
        return false;
    }

    @Override
    public EconomyResponse isBankMember(String arg0,OfflinePlayer arg1){
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public EconomyResponse isBankOwner(String arg0,OfflinePlayer arg1){
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public EconomyResponse withdrawPlayer(OfflinePlayer arg0,double arg1){
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public EconomyResponse withdrawPlayer(OfflinePlayer arg0,String arg1,double arg2){
        // TODO Auto-generated method stub
        return null;
    }

}
